declare const order: {
    plugins: string[];
    rules: {
        'order/order': ((string | {
            name: string;
            type: string;
            hasBlock?: undefined;
            selector?: undefined;
        } | {
            hasBlock: boolean;
            selector: RegExp;
            type: string;
            name?: undefined;
        } | {
            hasBlock: boolean;
            name: string;
            type: string;
            selector?: undefined;
        })[] | {
            severity: string;
        })[];
        'order/properties-order': ({
            emptyLineBefore: string;
            noEmptyLineBetween: boolean;
            properties: string[];
        }[] | {
            emptyLineBeforeUnspecified: string;
            emptyLineMinimumPropertyThreshold: number;
            severity: string;
            unspecified: string;
        })[];
    };
};
export { order };
