declare const generalRule: {
    'alpha-value-notation': string;
    'annotation-no-unknown': boolean;
    'at-rule-disallowed-list': string[];
    'at-rule-empty-line-before': string;
    'at-rule-no-unknown': boolean;
    'at-rule-no-vendor-prefix': boolean;
    'block-no-empty': boolean;
    'color-function-notation': string;
    'color-hex-alpha': string;
    'color-hex-length': string;
    'color-named': string;
    'color-no-invalid-hex': boolean;
    'comment-empty-line-before': string;
    'comment-no-empty': boolean;
    'comment-whitespace-inside': string;
    'custom-property-empty-line-before': string;
    'custom-property-no-missing-var-function': boolean;
    'declaration-block-no-duplicate-custom-properties': boolean;
    'declaration-block-no-duplicate-properties': boolean;
    'declaration-block-no-redundant-longhand-properties': boolean;
    'declaration-block-no-shorthand-property-overrides': boolean;
    'declaration-block-single-line-max-declarations': number;
    'declaration-empty-line-before': (string | {
        except: string[];
        ignore: string[];
    })[];
    'declaration-no-important': boolean;
    'font-family-name-quotes': string;
    'font-family-no-duplicate-names': boolean;
    'font-weight-notation': (string | {
        ignore: string[];
    })[];
    'function-calc-no-unspaced-operator': boolean;
    'function-linear-gradient-no-nonstandard-direction': boolean;
    'function-name-case': string;
    'function-no-unknown': boolean;
    'function-url-no-scheme-relative': boolean;
    'function-url-quotes': string;
    'hue-degree-notation': string;
    'import-notation': string;
    'keyframe-block-no-duplicate-selectors': boolean;
    'keyframe-declaration-no-important': boolean;
    'keyframe-selector-notation': string;
    'length-zero-no-unit': boolean;
    'max-nesting-depth': (number | {
        ignoreAtRules: string[];
    })[];
    'media-feature-name-no-unknown': boolean;
    'media-feature-name-no-vendor-prefix': boolean;
    'media-feature-name-value-no-unknown': boolean;
    'media-feature-range-notation': string;
    'media-query-no-invalid': boolean;
    'named-grid-areas-no-invalid': boolean;
    'no-descending-specificity': boolean;
    'no-duplicate-at-import-rules': boolean;
    'no-duplicate-selectors': boolean;
    'no-empty-source': boolean;
    'no-invalid-double-slash-comments': boolean;
    'no-invalid-position-at-import-rule': boolean;
    'no-irregular-whitespace': boolean;
    'no-unknown-animations': boolean;
    'no-unknown-custom-properties': boolean;
    'number-max-precision': number;
    'property-no-unknown': boolean;
    'property-no-vendor-prefix': boolean;
    'rule-empty-line-before': (string | {
        except: string[];
        ignore: string[];
    })[];
    'selector-anb-no-unmatchable': boolean;
    'selector-attribute-quotes': string;
    'selector-class-pattern': (string | {
        message: string;
    })[];
    'selector-max-compound-selectors': number;
    'selector-max-id': number;
    'selector-no-qualifying-type': (boolean | {
        ignore: string[];
    })[];
    'selector-no-vendor-prefix': boolean;
    'selector-not-notation': string;
    'selector-pseudo-class-no-unknown': boolean;
    'selector-pseudo-element-colon-notation': string;
    'selector-pseudo-element-no-unknown': boolean;
    'selector-type-case': string;
    'selector-type-no-unknown': boolean;
    'shorthand-property-no-redundant-values': boolean;
    'string-no-newline': boolean;
    'unit-no-unknown': boolean;
    'value-keyword-case': string;
    'value-no-vendor-prefix': boolean;
};
export { generalRule };
