declare const codeGuideGeneralRule: {
    'codeguide/at-rule-name-case': string;
    'codeguide/at-rule-name-newline-after': string;
    'codeguide/at-rule-name-space-after': string;
    'codeguide/at-rule-semicolon-newline-after': string;
    'codeguide/at-rule-semicolon-space-before': string;
    'codeguide/block-closing-brace-empty-line-before': string;
    'codeguide/block-closing-brace-newline-after': string;
    'codeguide/block-closing-brace-newline-before': string;
    'codeguide/block-opening-brace-newline-after': string;
    'codeguide/block-opening-brace-newline-before': string;
    'codeguide/color-hex-case': string;
    'codeguide/declaration-bang-space-after': string;
    'codeguide/declaration-bang-space-before': string;
    'codeguide/declaration-block-semicolon-newline-after': string;
    'codeguide/declaration-block-semicolon-newline-before': string;
    'codeguide/declaration-block-semicolon-space-after': string;
    'codeguide/declaration-block-semicolon-space-before': string;
    'codeguide/declaration-block-trailing-semicolon': string;
    'codeguide/declaration-colon-newline-after': string;
    'codeguide/declaration-colon-space-after': string;
    'codeguide/declaration-colon-space-before': string;
    'codeguide/function-comma-newline-after': string;
    'codeguide/function-comma-newline-before': string;
    'codeguide/function-comma-space-after': string;
    'codeguide/function-comma-space-before': string;
    'codeguide/function-max-empty-lines': number;
    'codeguide/function-parentheses-newline-inside': string;
    'codeguide/function-parentheses-space-inside': string;
    'codeguide/function-whitespace-after': string;
    'codeguide/indentation': number;
    'codeguide/linebreaks': string;
    'codeguide/max-empty-lines': number;
    'codeguide/max-line-length': number;
    'codeguide/media-feature-colon-space-after': string;
    'codeguide/media-feature-colon-space-before': string;
    'codeguide/media-feature-name-case': string;
    'codeguide/media-feature-parentheses-space-inside': string;
    'codeguide/media-feature-range-operator-space-after': string;
    'codeguide/media-feature-range-operator-space-before': string;
    'codeguide/no-empty-first-line': boolean;
    'codeguide/no-eol-whitespace': boolean;
    'codeguide/no-extra-semicolons': boolean;
    'codeguide/no-missing-end-of-source-newline': boolean;
    'codeguide/number-leading-zero': string;
    'codeguide/number-no-trailing-zeros': boolean;
    'codeguide/property-case': string;
    'codeguide/selector-attribute-brackets-space-inside': string;
    'codeguide/selector-attribute-operator-space-after': string;
    'codeguide/selector-attribute-operator-space-before': string;
    'codeguide/selector-combinator-space-after': string;
    'codeguide/selector-combinator-space-before': string;
    'codeguide/selector-descendant-combinator-no-non-space': boolean;
    'codeguide/selector-list-comma-newline-after': string;
    'codeguide/selector-list-comma-newline-before': string;
    'codeguide/selector-list-comma-space-after': string;
    'codeguide/selector-list-comma-space-before': string;
    'codeguide/selector-max-empty-lines': number;
    'codeguide/selector-pseudo-class-case': string;
    'codeguide/selector-pseudo-class-parentheses-space-inside': string;
    'codeguide/selector-pseudo-element-case': string;
    'codeguide/string-quotes': string;
    'codeguide/unicode-bom': string;
    'codeguide/unit-case': string;
    'codeguide/value-list-comma-newline-after': string;
    'codeguide/value-list-comma-newline-before': string;
    'codeguide/value-list-comma-space-after': string;
    'codeguide/value-list-comma-space-before': string;
    'codeguide/value-list-max-empty-lines': number;
};
export { codeGuideGeneralRule };
